Subject: RE: call_handler, interrupt_now and interruptible
From: Heribert Dahms <[email-masked]>
To: "'Chris Faylor'" <[email-masked]>
Cc: "Fifer, Eric" <[email-masked]>, "'Ray Easton'" <[email-masked]>, [email-masked]
Date: Tue, 8 Feb 2000 00:21:29 +0100

Hi Chris,

you are are right, I said "I guess" and have not
actually seen any misbehavior. Indeed, I have a
single source file with a main() and no DLL of my
own at all. I'll test it as soon as I can find another
PC which I can unplug from network while running
without one of my collegues killing me...
Sorry for the false "alarm" 8-)

Bye, Heribert ([email-masked])

> -----Original Message-----
> From:	'Chris Faylor' [SMTP:[email-masked]]
> Sent:	Saturday, February 05, 2000 00:26
> To:	Heribert Dahms
> Cc:	Fifer, Eric; 'Ray Easton'; [email-masked]
> Subject:	Re: call_handler, interrupt_now and interruptible
> 
> On Fri, Feb 04, 2000 at 10:45:14PM +0100, Heribert Dahms wrote:
> >I guess this breaks now my code, which basically does a select()
> until
> >a socket becomes readable, starts a loop preparing a timeout with
> >alarm(60) for the following blocking fgets(), which is normally reset
> >using alarm(0) after each line, but is supposed to be interrupted in
> >case of a bad behaving client?
> 
> Why have you reached this conclusion?  Have you actually
> noticed this behavior?  The changes that I made should not
> have eliminated functionality in anything but DLLs and
> that is only temporary.
> 
> If this is just supposition, then try the cygwin DLL.  There
> is no need to speculate about things breaking if you haven't
> actually checked the code in question.
> 
> cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]